com.independentsoft.exchange

## Class MailboxStatisticsByKeywords

- java.lang.Object
- - com.independentsoft.exchange.MailboxStatisticsByKeywords

-     public class MailboxStatisticsByKeywords
      extends java.lang.Object

  The Class MailboxStatisticsByKeywords.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailboxStatisticsByKeywords()` Instantiates a new mailbox statistics by keywords.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getFromDate()` Gets the from date.
    `boolean` | `getIncludePersonalArchive()` Gets the include personal archive.
    `boolean` | `getincludeUnsearchableItems()` Gets the include unsearchable items.
    `java.util.List<java.lang.String>` | `getKeywords()` Gets the keywords.
    `java.lang.String` | `getLanguage()` Gets the language.
    `java.util.List<UserMailbox>` | `getMailboxes()` Gets the mailboxes.
    `java.util.List<SearchItemKind>` | `getMessageTypes()` Gets the message types.
    `java.util.List<java.lang.String>` | `getRecipients()` Gets the recipients.
    `boolean` | `getSearchDumpster()` Gets the search dumpster.
    `java.util.List<java.lang.String>` | `getSenders()` Gets the senders.
    `java.util.Date` | `getToDate()` Gets the to date.
    `void` | `setFromDate(java.util.Date fromDate)` Sets the from date.
    `void` | `setIncludePersonalArchive(boolean includePersonalArchive)` Sets the include personal archive.
    `void` | `setIncludeUnsearchableItems(boolean includeUnsearchableItems)` Sets the include unsearchable items.
    `void` | `setLanguage(java.lang.String language)` Sets the language.
    `void` | `setSearchDumpster(boolean searchDumpster)` Sets the search dumpster.
    `void` | `setToDate(java.util.Date toDate)` Sets the to date.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailboxStatisticsByKeywords

          public MailboxStatisticsByKeywords()

      Instantiates a new mailbox statistics by keywords.

  - ### Method Detail

    - #### getMailboxes

          public java.util.List<UserMailbox> getMailboxes()

      Gets the mailboxes.
      Returns:
        the mailboxes

    - #### getKeywords

          public java.util.List<java.lang.String> getKeywords()

      Gets the keywords.
      Returns:
        the keywords

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the language.
      Returns:
        the language

    - #### setLanguage

          public void setLanguage(java.lang.String language)

      Sets the language.
      Parameters:
        `language` - the new language

    - #### getSenders

          public java.util.List<java.lang.String> getSenders()

      Gets the senders.
      Returns:
        the senders

    - #### getRecipients

          public java.util.List<java.lang.String> getRecipients()

      Gets the recipients.
      Returns:
        the recipients

    - #### getFromDate

          public java.util.Date getFromDate()

      Gets the from date.
      Returns:
        the from date

    - #### setFromDate

          public void setFromDate(java.util.Date fromDate)

      Sets the from date.
      Parameters:
        `fromDate` - the new from date

    - #### getToDate

          public java.util.Date getToDate()

      Gets the to date.
      Returns:
        the to date

    - #### setToDate

          public void setToDate(java.util.Date toDate)

      Sets the to date.
      Parameters:
        `toDate` - the new to date

    - #### getMessageTypes

          public java.util.List<SearchItemKind> getMessageTypes()

      Gets the message types.
      Returns:
        the message types

    - #### getSearchDumpster

          public boolean getSearchDumpster()

      Gets the search dumpster.
      Returns:
        the search dumpster

    - #### setSearchDumpster

          public void setSearchDumpster(boolean searchDumpster)

      Sets the search dumpster.
      Parameters:
        `searchDumpster` - the new search dumpster

    - #### getIncludePersonalArchive

          public boolean getIncludePersonalArchive()

      Gets the include personal archive.
      Returns:
        the include personal archive

    - #### setIncludePersonalArchive

          public void setIncludePersonalArchive(boolean includePersonalArchive)

      Sets the include personal archive.
      Parameters:
        `includePersonalArchive` - the new include personal archive

    - #### getincludeUnsearchableItems

          public boolean getincludeUnsearchableItems()

      Gets the include unsearchable items.
      Returns:
        the include unsearchable items

    - #### setIncludeUnsearchableItems

          public void setIncludeUnsearchableItems(boolean includeUnsearchableItems)

      Sets the include unsearchable items.
      Parameters:
        `includeUnsearchableItems` - the new include unsearchable items